Subject: Re: [PATCH] xen-netfront: rearrange netfront_info structure to separate tx and rx

From: Jeremy Fitzhardinge <[email-masked]>
Date: Tue, 09 Oct 2007 18:03:30 -0700

Jeff Garzik wrote:
> Jeremy Fitzhardinge wrote:
>> Keep tx and rx elements separate on different cachelines to prevent
>> bouncing.
>>
>> Signed-off-by: Jeremy Fitzhardinge <[email-masked]>
>> Cc: Stephen Hemminger <[email-masked]>
>> Cc: Christoph Hellwig <[email-masked]>
>>
>> ---
>>  drivers/net/xen-netfront.c |   37 ++++++++++++++++++-------------------
>>  1 file changed, 18 insertions(+), 19 deletions(-)
>
> ACK but does not apply to jgarzik/netdev-2.6.git#upstream nor
> davem/net-2.6.24.git 

Oh, OK, I'll have a look.  I wasn't aware of any other changes in
xen-netfront.  Or rather, there are a couple of other changes which I
think you already have: one to use the common netdev stats structure,
and another to remove a chunk of dead code.

    J